Index: /trunk/anuga_core/source/anuga/caching/caching.py
===================================================================
--- /trunk/anuga_core/source/anuga/caching/caching.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/caching/caching.py	(revision 8124)
@@ -1049,5 +1049,5 @@
   if argsfile is None:
     msg = 'ERROR (caching): Could not open argsfile for writing: %s' %FN
-    raise IOError, msg
+    raise IOError(msg)
 
   mysave((args,kwargs),argsfile,compression)  # Save args and kwargs to cache
@@ -1289,5 +1289,5 @@
       msg = '****WARNING (caching.py): Could not pickle data for compression.'
       msg += ' Try using compression = False'
-      raise MemoryError, msg
+      raise MemoryError(msg)
     else:  
       # Compressed pickling      
@@ -1329,5 +1329,5 @@
       #  print e
       #  msg = 'Could not store to %s, bin=%s' %(file, bin)
-      #  raise msg 
+      #  raise Exception(msg)
       
 
@@ -1566,5 +1566,5 @@
       msg = 'Instance %s was passed into caching in the role of a function ' % str(my_F)
       msg = ' but it was not callable.'
-      raise Exception, msg
+      raise Exception(msg)
   elif type(my_F) in [types.BuiltinFunctionType, types.BuiltinMethodType]:      
     # Built-in functions are assumed not to change  
@@ -1576,5 +1576,5 @@
   else:
     msg = 'Unknown function type: %s' % type(my_F)
-    raise Exception, msg
+    raise Exception(msg)
 
 
@@ -1614,5 +1614,5 @@
       if expanded_FN == []:
         errmsg = 'ERROR (caching.py): Dependency '+FN+' does not exist.'
-        raise Exception, errmsg      
+        raise Exception(errmsg)
 
       expanded_dependencies += expanded_FN
@@ -1623,8 +1623,8 @@
         errmsg = 'ERROR (caching.py): Dependency must be a string.\n'
         errmsg += '                   Dependency given: %s' %FN
-        raise Exception, errmsg      
+        raise Exception(errmsg)
       if not os.access(FN,os.F_OK):
         errmsg = 'ERROR (caching.py): Dependency '+FN+' does not exist.'
-        raise Exception, errmsg
+        raise Exception(errmsg)
       (size,atime,mtime,ctime) = filestat(FN)
 
@@ -2107,5 +2107,5 @@
     if sortidx > len(rec)-1:
       msg = 'ERROR: Sorting index too large, sortidx = %s' % str(sortidx)
-      raise IndexError, msg
+      raise IndexError(msg)
 
     val = rec[sortidx]
Index: /trunk/anuga_core/source/anuga/caching/test_caching.py
===================================================================
--- /trunk/anuga_core/source/anuga/caching/test_caching.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/caching/test_caching.py	(revision 8124)
@@ -724,5 +724,5 @@
                     fid.close()
                 except:
-                    raise 'Statistics files cannot be opened'          
+                    raise Exception('Statistics files cannot be opened')
   
           
Index: /trunk/anuga_core/source/anuga/coordinate_transforms/geo_reference.py
===================================================================
--- /trunk/anuga_core/source/anuga/coordinate_transforms/geo_reference.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/coordinate_transforms/geo_reference.py	(revision 8124)
@@ -29,6 +29,4 @@
 
 
-##
-# @brief A class for ...
 class Geo_reference:
     """
@@ -46,17 +44,4 @@
     """
 
-    ##
-    # @brief Instantiate an instance of class Geo_reference.
-    # @param zone The UTM zone.
-    # @param xllcorner X coord of origin of georef.
-    # @param yllcorner Y coord of origin of georef.
-    # @param datum ??
-    # @param projection The projection used (default UTM).
-    # @param units Units used in measuring distance (default m).
-    # @param false_easting ??
-    # @param false_northing ??
-    # @param NetCDFObject NetCDF file *handle* to write to.
-    # @param ASCIIFile ASCII text file *handle* to write to.
-    # @param read_title Title of the georeference text.
     def __init__(self,
                  zone=DEFAULT_ZONE,
@@ -72,16 +57,24 @@
                  read_title=None):
         """
-        input:
-        NetCDFObject - a handle to the netCDF file to be written to
-        ASCIIFile - a handle to the text file
-        read_title - the title of the georeference text, if it was read in.
-         If the function that calls this has already read the title line,
-         it can't unread it, so this info has to be passed.
-         If you know of a way to unread this info, then tell us.
-
-         Note, the text file only saves a sub set of the info the
-         points file does.  Currently the info not written in text
-         must be the default info, since ANUGA assumes it isn't
-         changing.
+        zone            the UTM zone.
+        xllcorner       X coord of origin of georef.
+        yllcorner       Y coord of origin of georef.
+        datum           ??
+        projection      the projection used (default UTM).
+        units           units used in measuring distance (default m).
+        false_easting   ??
+        false_northing  ??
+        NetCDFObject    NetCDF file *handle* to write to.
+        ASCIIFile       ASCII text file *handle* to write to.
+        read_title      title of the georeference text.
+
+        If the function that calls this has already read the title line,
+        it can't unread it, so this info has to be passed.
+        If you know of a way to unread this info, then tell us.
+
+        Note, the text file only saves a sub set of the info the
+        points file does.  Currently the info not written in text
+        must be the default info, since ANUGA assumes it isn't
+        changing.
         """
 
@@ -110,18 +103,20 @@
         return self.xllcorner
 
-    ##
-    # @brief Get the Y coordinate of the origin of this georef.
     def get_yllcorner(self):
+        """Get the Y coordinate of the origin of this georef."""
+
         return self.yllcorner
 
-    ##
-    # @brief Get the zone of this georef.
     def get_zone(self):
+        """Get the zone of this georef."""
+
         return self.zone
 
-    ##
-    # @brief Write <something> to an open NetCDF file.
-    # @param outfile Handle to open NetCDF file.
     def write_NetCDF(self, outfile):
+        """Write georef attributes to an open NetCDF file.
+
+        outfile  handle to open NetCDF file
+        """
+
         outfile.xllcorner = self.xllcorner
         outfile.yllcorner = self.yllcorner
@@ -135,8 +130,10 @@
         outfile.units = self.units
 
-    ##
-    # @brief Read data from an open NetCDF file.
-    # @param infile Handle to open NetCDF file.
     def read_NetCDF(self, infile):
+        """Set georef attributes from open NetCDF file.
+
+        infile Handle to open NetCDF file
+        """
+
         self.xllcorner = float(infile.xllcorner[0])
         self.yllcorner = float(infile.yllcorner[0])
@@ -189,8 +186,10 @@
 ################################################################################
 
-    ##
-    # @brief Write georef data to an open text file.
-    # @param fd Handle to open text file.
     def write_ASCII(self, fd):
+        """Write georef attriutes to an open text file.
+
+        fd  handle to open text file
+        """
+
         fd.write(TITLE)
         fd.write(str(self.zone) + "\n")
@@ -198,8 +197,10 @@
         fd.write(str(self.yllcorner) + "\n")
 
-    ##
-    # @brief Read georef data from an open text file.
-    # @param fd Handle to open text file.
     def read_ASCII(self, fd, read_title=None):
+        """Set georef attribtes from open text file.
+
+        fd  handle to open text file
+        """
+
         try:
             if read_title == None:
@@ -232,15 +233,14 @@
 ################################################################################
 
-    ##
-    # @brief Change points to be absolute wrt new georef 'points_geo_ref'.
-    # @param points The points to change.
-    # @param points_geo_ref The new georef to make points absolute wrt.
-    # @return The changed points.
-    # @note If 'points' is a list then a changed list is returned.
     def change_points_geo_ref(self, points, points_geo_ref=None):
-        """Change the geo reference of a list or numeric array of points to
-        be this reference.(The reference used for this object)
-        If the points do not have a geo ref, assume 'absolute' values
-        """
+        """Change points to be absolute wrt new georef 'points_geo_ref'.
+
+        points          the points to change
+        points_geo_ref  the new georef to make points absolute wrt
+
+        Returns the changed points data.
+        If the points do not have a georef, assume 'absolute' values.
+        """
+
         import copy
        
@@ -285,6 +285,8 @@
 
     def is_absolute(self):
-        """Return True if xllcorner==yllcorner==0 indicating that points
-        in question are absolute.
+        """Test if points in georef are absolute.
+
+        Return True if xllcorner==yllcorner==0 indicating that points in
+        question are absolute.
         """
         
@@ -305,6 +307,6 @@
 
     def get_absolute(self, points):
-        """Given a set of points geo referenced to this instance,
-        return the points as absolute values.
+        """Given a set of points geo referenced to this instance, return the
+        points as absolute values.
         """
 
@@ -338,14 +340,12 @@
         return points
 
-    ##
-    # @brief Convert points to relative measurement.
-    # @param points Points to convert to relative measurements.
-    # @return A set of points relative to the geo_reference instance.
     def get_relative(self, points):
-        """Given a set of points in absolute UTM coordinates,
-        make them relative to this geo_reference instance,
-        return the points as relative values.
-
-        This is the inverse of get_absolute.
+        """Convert points to relative measurement.
+
+        points Points to convert to relative measurements
+
+        Returns a set of points relative to the geo_reference instance.
+
+        This is the inverse of get_absolute().
         """
 
@@ -376,7 +376,4 @@
         return points
 
-    ##
-    # @brief ??
-    # @param other ??
     def reconcile_zones(self, other):
         if other is None:
@@ -402,23 +399,24 @@
     #    return [x-self.xllcorner, y - self.xllcorner]
 
-    ##
-    # @brief Get origin of this geo_reference.
-    # @return (zone, xllcorner, yllcorner).
     def get_origin(self):
+        """Get origin of this geo_reference."""
+      
         return (self.zone, self.xllcorner, self.yllcorner)
 
-    ##
-    # @brief Get a string representation of this geo_reference instance.
     def __repr__(self):
         return ('(zone=%i easting=%f, northing=%f)'
                 % (self.zone, self.xllcorner, self.yllcorner))
 
-    ##
-    # @brief Compare two geo_reference instances.
-    # @param self This geo_reference instance.
-    # @param other Another geo_reference instance to compare against.
-    # @return 0 if instances have the same attributes, else 1.
-    # @note Attributes are: zone, xllcorner, yllcorner.
     def __cmp__(self, other):
+        """Compare two geo_reference instances.
+
+        self   this geo_reference instance
+        other  another geo_reference instance to compare against
+
+        Returns 0 if instances have the same attributes, else returns 1.
+
+        Note: attributes are: zone, xllcorner, yllcorner.
+        """
+
         # FIXME (DSG) add a tolerence
         if other is None:
@@ -434,15 +432,11 @@
 
 
-##
-# @brief Write a geo_reference to a NetCDF file (usually SWW).
-# @param origin A georef instance or parameters to create a georef instance.
-# @param outfile Path to file to write.
-# @return A normalized geo_reference.
 def write_NetCDF_georeference(origin, outfile):
-    """Write georeference info to a netcdf file, usually sww.
-
-    The origin can be a georef instance or parameters for a geo_ref instance
-
-    outfile is the name of the file to be written to.
+    """Write georeference info to a NetCDF file, usually a SWW file.
+
+    origin   a georef instance or parameters to create a georef instance
+    outfile  path to file to write
+
+    Returns the normalised georef.
     """
 
@@ -452,15 +446,11 @@
 
 
-##
-# @brief Convert an object to a georeference instance.
-# @param origin A georef instance or (zone, xllcorner, yllcorner)
-# @return A georef object, or None if 'origin' was None.
 def ensure_geo_reference(origin):
-    """
-    Given a list/tuple of zone, xllcorner and yllcorner of a geo-ref object,
-    return a geo ref object.
-
-    If the origin is None, return None, so calling this function doesn't
-    effect code logic
+    """Create a georef object from a tuple of attributes.
+
+    origin  a georef instance or (zone, xllcorner, yllcorner)
+
+    If origin is None, return None, so calling this function doesn't
+    effect code logic.
     """
 
Index: /trunk/anuga_core/source/anuga/coordinate_transforms/test_geo_reference.py
===================================================================
--- /trunk/anuga_core/source/anuga/coordinate_transforms/test_geo_reference.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/coordinate_transforms/test_geo_reference.py	(revision 8124)
@@ -473,5 +473,5 @@
         else:
             msg = 'Should have raised an exception'
-            raise msg
+            raise Exception(msg)
   
     def test_bad_ASCII_title(self):      
Index: /trunk/anuga_core/source/anuga/culvert_flows/culvert_class.py
===================================================================
--- /trunk/anuga_core/source/anuga/culvert_flows/culvert_class.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/culvert_flows/culvert_class.py	(revision 8124)
@@ -32,5 +32,5 @@
         x = float(x)
     except:
-        raise Exception, msg
+        raise Exception(msg)
 
 
@@ -39,10 +39,10 @@
         msg = 'Value provided = %.2f, interpolation minimum = %.2f.'\
             % (x, xvec[0])
-        raise Below_interval, msg
+        raise Below_interval(msg)
         
     if x > xvec[-1]: 
         msg = 'Value provided = %.2f, interpolation maximum = %.2f.'\
             %(x, xvec[-1])
-        raise Above_interval, msg        
+        raise Above_interval(msg)
         
         
@@ -400,5 +400,5 @@
             else:
                 msg = 'Triangle not found for point (%f, %f)' %point
-                raise Exception, msg
+                raise Exception(msg)
         
         return enquiry_indices
@@ -922,5 +922,5 @@
             else:
                 msg = 'Triangle not found for point (%f, %f)' %point
-                raise Exception, msg
+                raise Exception(msg)
         
                           
@@ -1206,5 +1206,5 @@
                 msg = 'Either diameter or width&height must be specified, '
                 msg += 'but not both.'
-                raise Exception, msg
+                raise Exception(msg)
         else:
             if height is not None:
@@ -1220,5 +1220,5 @@
             else:
                 msg = 'Either diameter or width&height must be specified.'
-                raise Exception, msg                
+                raise Exception(msg)
                 
             if height == width:
@@ -1321,5 +1321,5 @@
             else:
                 msg = 'Triangle not found for point (%f, %f)' %point
-                raise Exception, msg
+                raise Exception(msg)
         
                           
@@ -1460,5 +1460,5 @@
                     # This is possible since w and z are taken at different locations
                     #msg = 'D < 0.0: %f' %d
-                    #raise msg
+                    #raise Exception(msg)
                     d = 0.0
                 
Index: /trunk/anuga_core/source/anuga/culvert_flows/new_culvert_class.py
===================================================================
--- /trunk/anuga_core/source/anuga/culvert_flows/new_culvert_class.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/culvert_flows/new_culvert_class.py	(revision 8124)
@@ -32,5 +32,5 @@
         x = float(x)
     except:
-        raise Exception, msg
+        raise Exception(msg)
 
 
@@ -39,10 +39,10 @@
         msg = 'Value provided = %.2f, interpolation minimum = %.2f.'\
             % (x, xvec[0])
-        raise Below_interval, msg
+        raise Below_interval(msg)
         
     if x > xvec[-1]: 
         msg = 'Value provided = %.2f, interpolation maximum = %.2f.'\
             %(x, xvec[-1])
-        raise Above_interval, msg        
+        raise Above_interval(msg)
         
         
@@ -403,5 +403,5 @@
             else:
                 msg = 'Triangle not found for point (%f, %f)' %point
-                raise Exception, msg
+                raise Exception(msg)
         
         return enquiry_indices
@@ -925,5 +925,5 @@
             else:
                 msg = 'Triangle not found for point (%f, %f)' %point
-                raise Exception, msg
+                raise Exception(msg)
         
                           
@@ -1209,5 +1209,5 @@
                 msg = 'Either diameter or width&height must be specified, '
                 msg += 'but not both.'
-                raise Exception, msg
+                raise Exception(msg)
         else:
             if height is not None:
@@ -1223,5 +1223,5 @@
             else:
                 msg = 'Either diameter or width&height must be specified.'
-                raise Exception, msg                
+                raise Exception(msg)
                 
             if height == width:
@@ -1324,5 +1324,5 @@
             else:
                 msg = 'Triangle not found for point (%f, %f)' %point
-                raise Exception, msg
+                raise Exception(msg)
         
                           
@@ -1463,5 +1463,5 @@
                     # This is possible since w and z are taken at different locations
                     #msg = 'D < 0.0: %f' %d
-                    #raise msg
+                    #raise Exception(msg)
                     d = 0.0
                 
Index: /trunk/anuga_core/source/anuga/file/urs.py
===================================================================
--- /trunk/anuga_core/source/anuga/file/urs.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/file/urs.py	(revision 8124)
@@ -40,11 +40,11 @@
         if self.points_num < 0:
             mux_file.close()
-            raise ANUGAError, msg
+            raise ANUGAError(msg)
         if self.time_step_count < 0:
             mux_file.close()
-            raise ANUGAError, msg
+            raise ANUGAError(msg)
         if self.time_step < 0:
             mux_file.close()
-            raise ANUGAError, msg
+            raise ANUGAError(msg)
 
         # The depth is in meters, and it is the distance from the ocean
@@ -209,5 +209,5 @@
             msg = 'Caching was requested, but caching module' \
                   'could not be imported'
-            raise msg
+            raise Exception(msg)
 
         geo = cache(_calculate_boundary_points,
@@ -267,5 +267,5 @@
     if lat_long_set == frozenset([]):
         msg = "URS region specified and polygon does not overlap."
-        raise ValueError, msg
+        raise ValueError(msg)
 
     # Warning there is no info in geospatial saying the hemisphere of
Index: /trunk/anuga_core/source/anuga/file_conversion/test_file_conversion.py
===================================================================
--- /trunk/anuga_core/source/anuga/file_conversion/test_file_conversion.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/file_conversion/test_file_conversion.py	(revision 8124)
@@ -1211,5 +1211,5 @@
             os.remove(elevation_dir_filename2)
             os.rmdir(elevation_dir)
-            raise 'Should raise exception'
+            raise Exception('Should raise exception')
 
             os.remove(ucur_dir_filename1)
@@ -1914,5 +1914,5 @@
             self.delete_mux(files)
             msg = 'Should have raised exception'
-            raise msg
+            raise Exception(msg)
         sww_file = base_name + '.sww'
         self.delete_mux(files)
@@ -1927,5 +1927,5 @@
             self.delete_mux(files)
             msg = 'Should have raised exception'
-            raise msg
+            raise Exception(msg)
            
     def test_urs2sww(self):
@@ -2393,5 +2393,5 @@
         else:
             msg = 'Should have raised exception'
-            raise msg
+            raise Exception(msg)
        
     def test_lon_lat2gridII(self):
@@ -2407,5 +2407,5 @@
         else:
             msg = 'Should have raised exception'
-            raise msg
+            raise Exception(msg)
         
 
Index: /trunk/anuga_core/source/anuga/file_conversion/urs2sww.py
===================================================================
--- /trunk/anuga_core/source/anuga/file_conversion/urs2sww.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/file_conversion/urs2sww.py	(revision 8124)
@@ -155,5 +155,5 @@
             mux[quantity].close()
         msg = "Due to mint and maxt there's no time info in the boundary SWW."
-        raise Exception, msg
+        raise Exception(msg)
 
     # If this raise is removed there is currently no downstream errors
Index: /trunk/anuga_core/source/anuga/fit_interpolate/interpolate.py
===================================================================
--- /trunk/anuga_core/source/anuga/fit_interpolate/interpolate.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/fit_interpolate/interpolate.py	(revision 8124)
@@ -800,5 +800,5 @@
             # This message is time consuming to form due to the conversion of
             msg = 'Time must be a monotonuosly increasing sequence %s' % time
-            raise Exception, msg
+            raise Exception(msg)
 
         # Check if quantities is a single array only
@@ -859,5 +859,5 @@
             #no longer true. sts files have spatial = True but
             #if self.spatial is False:
-            #    raise 'Triangles and vertex_coordinates must be specified'
+            #    raise Exception('Triangles and vertex_coordinates must be specified')
             #
             try:
@@ -868,5 +868,5 @@
                       'or a list of points\n'
                 msg += 'Got: %s.' %(str(self.interpolation_points)[:60] + '...')
-                raise msg
+                raise Exception(msg)
 
             # Ensure 'mesh_boundary_polygon' is defined
@@ -1103,5 +1103,5 @@
                 if x is not None and y is not None:
                     # Interpolate to x, y
-                    raise 'x,y interpolation not yet implemented'
+                    raise Exception('x,y interpolation not yet implemented')
                 else:
                     # Use precomputed point
Index: /trunk/anuga_core/source/anuga/fit_interpolate/test_fit.py
===================================================================
--- /trunk/anuga_core/source/anuga/fit_interpolate/test_fit.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/fit_interpolate/test_fit.py	(revision 8124)
@@ -976,5 +976,5 @@
         else:
             #self.failUnless(0 ==1,  'Bad file did not raise error!')
-            raise 'Bad file did not raise error!'
+            raise Exception('Bad file did not raise error!')
             
         #clean up
@@ -1009,5 +1009,5 @@
             pass
         else:
-            raise 'Bad file did not raise error!'
+            raise Exception('Bad file did not raise error!')
             
         #clean up
@@ -1052,5 +1052,5 @@
             pass
         else:
-            raise 'Bad file did not raise error!'
+            raise Exception('Bad file did not raise error!')
         
         #clean up
@@ -1086,5 +1086,5 @@
             pass
         else:
-            raise 'Verts with no triangles did not raise error!'
+            raise Exception('Verts with no triangles did not raise error!')
         
         #f = interp.fit(data_coords, z)
Index: /trunk/anuga_core/source/anuga/fit_interpolate/test_interpolate.py
===================================================================
--- /trunk/anuga_core/source/anuga/fit_interpolate/test_interpolate.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/fit_interpolate/test_interpolate.py	(revision 8124)
@@ -1170,5 +1170,5 @@
             pass
         else:
-            raise 'Should raise exception'
+            raise Exception('Should raise exception')
 
         try:
@@ -1177,5 +1177,5 @@
             pass
         else:
-            raise 'Should raise exception'        
+            raise Exception('Should raise exception')
 
 
@@ -1235,5 +1235,5 @@
             pass
         else:
-            raise 'Should raise exception'
+            raise Exception('Should raise exception')
 
             
@@ -1294,5 +1294,5 @@
             pass
         else:
-            raise 'Should raise exception'
+            raise Exception('Should raise exception')
 
 
@@ -1504,5 +1504,5 @@
             pass
         else:
-            raise 'Should raise exception'
+            raise Exception('Should raise exception')
 
 
@@ -1667,5 +1667,5 @@
             pass
         else:
-            raise 'Should raise exception due to time being non-monotoneous'            
+            raise Exception('Should raise exception due to time being non-monotoneous')
       
 
Index: /trunk/anuga_core/source/anuga/fit_interpolate/test_search_functions.py
===================================================================
--- /trunk/anuga_core/source/anuga/fit_interpolate/test_search_functions.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/fit_interpolate/test_search_functions.py	(revision 8124)
@@ -31,5 +31,5 @@
                 compile(FN)
             except:
-                raise 'Could not compile %s' %FN
+                raise Exception('Could not compile %s' % FN)
             else:
                 import search_functions_ext
